- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Index

## Functions
void | elm_index_item_selected_set (Elm_Object_Item *it, Eina_Bool selected)
| Set the selected state of an item. More...
Evas_Object * | elm_index_add (Evas_Object *parent)
| Add a new index widget to the given parent Elementary (container) object. More...
void | elm_index_autohide_disabled_set (Evas_Object *obj, Eina_Bool disabled)
| Enable or disable auto hiding feature for a given index widget. More...
Eina_Bool | elm_index_autohide_disabled_get (const Evas_Object *obj)
| Get whether auto hiding feature is enabled or not for a given index widget. More...
void | elm_index_item_level_set (Evas_Object *obj, int level)
| Set the items level for a given index widget. More...
int | elm_index_item_level_get (const Evas_Object *obj)
| Get the items level set for a given index widget. More...
Elm_Object_Item * | elm_index_selected_item_get (const Evas_Object *obj, int level)
| Returns the last selected item, for a given index widget. More...
Elm_Object_Item * | elm_index_item_append (Evas_Object *obj, const char *letter, Evas_Smart_Cb func, const void *data)
| Append a new item on a given index widget. More...
Elm_Object_Item * | elm_index_item_prepend (Evas_Object *obj, const char *letter, Evas_Smart_Cb func, const void *data)
| Prepend a new item on a given index widget. More...
Elm_Object_Item * | elm_index_item_insert_after (Evas_Object *obj, Elm_Object_Item *after, const char *letter, Evas_Smart_Cb func, const void *data)
| Insert a new item into the index object after item `after`. More...
Elm_Object_Item * | elm_index_item_insert_before (Evas_Object *obj, Elm_Object_Item *before, const char *letter, Evas_Smart_Cb func, const void *data)
| Insert a new item into the index object before item `before`. More...
Elm_Object_Item * | elm_index_item_sorted_insert (Evas_Object *obj, const char *letter, Evas_Smart_Cb func, const void *data, Eina_Compare_Cb cmp_func, Eina_Compare_Cb cmp_data_func)
| Insert a new item into the given index widget, using `cmp_func` function to sort items (by item handles). More...
Elm_Object_Item * | elm_index_item_find (Evas_Object *obj, const void *data)
| Find a given index widget's item, using item data. More...
void | elm_index_item_clear (Evas_Object *obj)
| Removes all items from a given index widget. More...
void | elm_index_level_go (Evas_Object *obj, int level)
| Flush the changes made to the index items so they work correctly. More...
const char * | elm_index_item_letter_get (const Elm_Object_Item *item)
| Get the letter (string) set on a given index widget item. More...
void | elm_index_indicator_disabled_set (Evas_Object *obj, Eina_Bool disabled)
| Set the indicator as to be disabled. More...
Eina_Bool | elm_index_indicator_disabled_get (const Evas_Object *obj)
| Get the value of indicator's disabled status. More...
void | elm_index_horizontal_set (Evas_Object *obj, Eina_Bool horizontal)
| Enable or disable horizontal mode on the index object. More...
Eina_Bool | elm_index_horizontal_get (const Evas_Object *obj)
| Get a value whether horizontal mode is enabled or not. More...
void | elm_index_delay_change_time_set (Evas_Object *obj, double delay_change_time)
| Set a delay change time for index object. More...
double | elm_index_delay_change_time_get (const Evas_Object *obj)
| Get a delay change time for index object. More...
void | elm_index_omit_enabled_set (Evas_Object *obj, Eina_Bool enabled)
| Enable or disable omit feature for a given index widget. More...
Eina_Bool | elm_index_omit_enabled_get (const Evas_Object *obj)
| Get whether omit feature is enabled or not for a given index widget. More...
#define | elm_obj_index_autohide_disabled_set(disabled) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_AUTOHIDE_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)
#define | elm_obj_index_autohide_disabled_get(ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_AUTOHIDE_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_index_item_level_set(level) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_LEVEL_SET), EO_TYPECHECK(int, level)
#define | elm_obj_index_item_level_get(ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_LEVEL_GET), EO_TYPECHECK(int *, ret)
#define | elm_obj_index_selected_item_get(level, ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_SELECTED_ITEM_GET), EO_TYPECHECK(int, level), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_index_item_append(letter, func, data, ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_APPEND), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_index_item_prepend(letter, func, data, ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_PREPEND), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_index_item_insert_after(after, letter, func, data, ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_INSERT_AFTER), EO_TYPECHECK(Elm_Object_Item *, after), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_index_item_insert_before(before, letter, func, data, ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_INSERT_BEFORE), EO_TYPECHECK(Elm_Object_Item *, before), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_index_item_sorted_insert(letter, func, data, cmp_func, cmp_data_func, ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_SORTED_INSERT), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Eina_Compare_Cb, cmp_func), EO_TYPECHECK(Eina_Compare_Cb, cmp_data_func), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_index_item_find(data, ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_FIND), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)
#define | elm_obj_index_item_clear() ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_CLEAR)
#define | elm_obj_index_level_go(level) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_LEVEL_GO), EO_TYPECHECK(int, level)
#define | elm_obj_index_indicator_disabled_set(disabled) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_INDICATOR_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)
#define | elm_obj_index_indicator_disabled_get(ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_INDICATOR_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_index_horizontal_set(horizontal) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)
#define | elm_obj_index_horizontal_get(ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_index_delay_change_time_set(dtime) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_DELAY_CHANGE_TIME_SET), EO_TYPECHECK(double, dtime)
#define | elm_obj_index_delay_change_time_get(ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_DELAY_CHANGE_TIME_GET), EO_TYPECHECK(double *, ret)
#define | elm_obj_index_omit_enabled_set(enabled) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_OMIT_ENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)
#define | elm_obj_index_omit_enabled_get(ret) ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_OMIT_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

## Detailed Description

An index widget gives you an index for fast access to whichever group of other UI items one might have. It's a list of text items (usually letters, for alphabetically ordered access).

Index widgets are by default hidden and just appear when the user clicks over it's reserved area in the canvas. In its default theme, it's an area one finger wide on the right side of the index widget's container.

When items on the index are selected, smart callbacks get called, so that its user can make other container objects to show a given area or child object depending on the index item selected. You'd probably be using an index together with lists, generic lists or general grids.

This widget inherits from the Layout one, so that all the functions acting on it also work for index objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - When the selected index item changes. `event_info` is the selected item's data pointer.
- `"delay,changed"` - When the selected index item changes, but after a small idling period. `event_info` is the selected item's data pointer.
- `"selected"` - When the user releases a mouse button and selects an item. `event_info` is the selected item's pointer.
- `"level,up"` - when the user moves a finger from the first level to the second level
- `"level,down"` - when the user moves a finger from the second level to the first level
- `"language,changed"` - the program's language changed
- `"focused"` - When the index has received focus. (since 1.8)
- `"unfocused"` - When the index has lost focus. (since 1.8)

The `"delay,changed"` event is so that it'll wait a small time before actually reporting those events and, moreover, just the last event happening on those time frames will actually be reported.

Supported elm_object_item common APIs

- elm_object_item_del

Here are some examples on its usage:

- Index widget example 1
- Index widget example 2

## Macro Definition Documentation

#define elm_obj_index_autohide_disabled_get | ( |  | ret | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_AUTOHIDE_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether auto hiding feature is enabled or not for a given index widget.

Parameters

  [out] | ret |

See Also
  elm_index_autohide_disabled_get

Referenced by elm_index_autohide_disabled_get().

#define elm_obj_index_autohide_disabled_set | ( |  | disabled | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_AUTOHIDE_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)

Since
  1.8

Enable or disable auto hiding feature for a given index widget.

Parameters

  [in] | disabled |

See Also
  elm_index_autohide_disabled_set

Referenced by elm_index_autohide_disabled_set().

#define elm_obj_index_delay_change_time_get | ( |  | ret | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_DELAY_CHANGE_TIME_GET), EO_TYPECHECK(double *, ret)

Since
  1.8

Get index delay change time.

Parameters

  [out] | ret |

See Also
  elm_index_delay_change_time_set

Referenced by elm_index_delay_change_time_get().

#define elm_obj_index_delay_change_time_set | ( |  | dtime | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_DELAY_CHANGE_TIME_SET), EO_TYPECHECK(double, dtime)

Since
  1.8

Change index delay change time.

Parameters

  [in] | ret |

See Also
  elm_index_delay_change_time_get

Referenced by elm_index_delay_change_time_set().

#define elm_obj_index_horizontal_get | ( |  | ret | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get a value whether horizontal mode is enabled or not.

Parameters

  [out] | ret |

See Also
  elm_index_horizontal_get

Referenced by elm_index_horizontal_get().

#define elm_obj_index_horizontal_set | ( |  | horizontal | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)

Since
  1.8

Enable or disable horizontal mode on the index object

Parameters

  [in] | horizontal |

See Also
  elm_index_horizontal_set

Referenced by elm_index_horizontal_set().

#define elm_obj_index_indicator_disabled_get | ( |  | ret | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_INDICATOR_DISABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the value of indicator's disabled status.

Parameters

  [out] | ret |

See Also
  elm_index_indicator_disabled_get

Referenced by elm_index_indicator_disabled_get().

#define elm_obj_index_indicator_disabled_set | ( |  | disabled | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_INDICATOR_DISABLED_SET), EO_TYPECHECK(Eina_Bool, disabled)

Since
  1.8

Set the indicator as to be disabled.

Parameters

  [in] | disabled |

See Also
  elm_index_indicator_disabled_set

Referenced by elm_index_indicator_disabled_set().

#define elm_obj_index_item_append | ( |  | letter,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_APPEND), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Append a new item on a given index widget.

Parameters

  [in] | letter |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_index_item_append

Referenced by elm_index_item_append().

#define elm_obj_index_item_clear | ( |  | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_CLEAR)

Since
  1.8

Removes all items from a given index widget.

See Also
  elm_index_item_clear

Referenced by elm_index_item_clear().

#define elm_obj_index_item_find | ( |  | data,
|  |  | ret
| ) |  | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_FIND), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Find a given index widget's item, using item data.

Parameters

  [in] | data |
  [out] | ret |

See Also
  elm_index_item_find

Referenced by elm_index_item_find().

#define elm_obj_index_item_insert_after | ( |  | after,
|  |  | letter,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_INSERT_AFTER), EO_TYPECHECK(Elm_Object_Item *, after), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Insert a new item into the index object after item after.

Parameters

  [in] | after |
  [in] | letter |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_index_item_insert_after

Referenced by elm_index_item_insert_after().

#define elm_obj_index_item_insert_before | ( |  | before,
|  |  | letter,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_INSERT_BEFORE), EO_TYPECHECK(Elm_Object_Item *, before), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Insert a new item into the index object before item before.

Parameters

  [in] | before |
  [in] | letter |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_index_item_insert_before

Referenced by elm_index_item_insert_before().

#define elm_obj_index_item_level_get | ( |  | ret | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_LEVEL_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the items level set for a given index widget.

Parameters

  [out] | ret |

See Also
  elm_index_item_level_get

Referenced by elm_index_item_level_get().

#define elm_obj_index_item_level_set | ( |  | level | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_LEVEL_SET), EO_TYPECHECK(int, level)

Since
  1.8

Set the items level for a given index widget.

Parameters

  [in] | level |

See Also
  elm_index_item_level_set

Referenced by elm_index_item_level_set().

#define elm_obj_index_item_prepend | ( |  | letter,
|  |  | func,
|  |  | data,
|  |  | ret
| ) |  | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_PREPEND), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Prepend a new item on a given index widget.

Parameters

  [in] | letter |
  [in] | func |
  [in] | data |
  [out] | ret |

See Also
  elm_index_item_prepend

Referenced by elm_index_item_prepend().

#define elm_obj_index_item_sorted_insert | ( |  | letter,
|  |  | func,
|  |  | data,
|  |  | cmp_func,
|  |  | cmp_data_func,
|  |  | ret
| ) |  | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_ITEM_SORTED_INSERT), EO_TYPECHECK(const char *, letter), EO_TYPECHECK(Evas_Smart_Cb, func), EO_TYPECHECK(const void *, data), EO_TYPECHECK(Eina_Compare_Cb, cmp_func), EO_TYPECHECK(Eina_Compare_Cb, cmp_data_func), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Insert a new item into the given index widget, using cmp_func

Parameters

  [in] | letter |
  [in] | func |
  [in] | data |
  [in] | cmp_func |
  [in] | cmp_data_func |
  [out] | ret |

See Also
  elm_index_item_sorted_insert

Referenced by elm_index_item_sorted_insert().

#define elm_obj_index_level_go | ( |  | level | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_LEVEL_GO), EO_TYPECHECK(int, level)

Since
  1.8

Go to a given items level on a index widget

Parameters

  [in] | level |

See Also
  elm_index_level_go

Referenced by elm_index_level_go().

#define elm_obj_index_omit_enabled_get | ( |  | ret | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_OMIT_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether omit feature is enabled or not for a given index widget.

Parameters

  [out] | ret |

See Also
  elm_index_omit_enabled_get

Referenced by elm_index_omit_enabled_get().

#define elm_obj_index_omit_enabled_set | ( |  | enabled | ) | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_OMIT_ENABLED_SET), EO_TYPECHECK(Eina_Bool, enabled)

Since
  1.8

Enable or disable omit feature for a given index widget.

Parameters

  [in] | enabled |

See Also
  elm_index_omit_enabled_set

Referenced by elm_index_omit_enabled_set().

#define elm_obj_index_selected_item_get | ( |  | level,
|  |  | ret
| ) |  | ELM_OBJ_INDEX_ID(ELM_OBJ_INDEX_SUB_ID_SELECTED_ITEM_GET), EO_TYPECHECK(int, level), EO_TYPECHECK(Elm_Object_Item **, ret)

Since
  1.8

Returns the last selected item, for a given index widget.

Parameters

  [in] | level |
  [out] | ret |

See Also
  elm_index_selected_item_get

Referenced by elm_index_selected_item_get().

## Function Documentation

Evas_Object* elm_index_add | ( | Evas_Object * | parent | ) |

Add a new index widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new index widget handle or `NULL`, on errors

This function inserts a new index widget on the canvas.

Eina_Bool elm_index_autohide_disabled_get | ( | const Evas_Object * | obj | ) |

Get whether auto hiding feature is enabled or not for a given index widget.

Parameters

  obj | The index object

Returns
  `EINA_TRUE`, if auto hiding is disabled, `EINA_FALSE` otherwise

See Also
  elm_index_autohide_disabled_set() for more details

References elm_obj_index_autohide_disabled_get.

void elm_index_autohide_disabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | disabled
| ) |  |

Enable or disable auto hiding feature for a given index widget.

Parameters

  obj | The index object
  disabled | `EINA_TRUE` to disable auto hiding, `EINA_FALSE` to enable

See Also
  elm_index_autohide_disabled_get()

References elm_obj_index_autohide_disabled_set.

double elm_index_delay_change_time_get | ( | const Evas_Object * | obj | ) |

Get a delay change time for index object.

Parameters

  obj | The index object.

Returns
  delay change time in seconds

See Also
  elm_index_delay_change_time_set

References elm_obj_index_delay_change_time_get.

void elm_index_delay_change_time_set | ( | Evas_Object * | obj,
|  | double | delay_change_time
| ) |  |

Set a delay change time for index object.

Parameters

  obj | The index object.
  delay_change_time | The delay change time to set.

Note
  delay time is 0.2 sec by default.

See Also
  elm_index_delay_change_time_get

References elm_obj_index_delay_change_time_set.

Eina_Bool elm_index_horizontal_get | ( | const Evas_Object * | obj | ) |

Get a value whether horizontal mode is enabled or not.

Parameters

  obj | The index object.

Returns
  `EINA_TRUE` means horizontal mode selection is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See Also
  elm_index_horizontal_set() for details.

References elm_obj_index_horizontal_get.

void elm_index_horizontal_set | ( | Evas_Object * | obj,
|  | Eina_Bool | horizontal
| ) |  |

Enable or disable horizontal mode on the index object.

Parameters

  obj | The index object.
  horizontal | `EINA_TRUE` to enable horizontal or `EINA_FALSE` to disable it, i.e., to enable vertical mode. it's an area one finger wide on the bottom side of the index widget's container.

Note
  Vertical mode is set by default.

On horizontal mode items are displayed on index from left to right, instead of from top to bottom. Also, the index will scroll horizontally.

See Also
  elm_index_horizontal_get()

References elm_obj_index_horizontal_set.

Eina_Bool elm_index_indicator_disabled_get | ( | const Evas_Object * | obj | ) |

Get the value of indicator's disabled status.

Parameters

  obj | The index object

Returns
  EINA_TRUE if the indicator is disabled.

See Also
  elm_index_indicator_disabled_set()

References elm_obj_index_indicator_disabled_get.

void elm_index_indicator_disabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | disabled
| ) |  |

Set the indicator as to be disabled.

Parameters

  obj | The index object
  disabled | `EINA_TRUE` to disable it, `EINA_FALSE` to enable it

In Index widget, Indicator notes popup text, which shows a letter has been selecting.

See Also
  elm_index_indicator_disabled_get()

References elm_obj_index_indicator_disabled_set.

Elm_Object_Item* elm_index_item_append | ( | Evas_Object * | obj,
|  | const char * | letter,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Append a new item on a given index widget.

Parameters

  obj | The index object.
  letter | Letter under which the item should be indexed
  func | The function to call when the item is selected.
  data | The item data to set for the index's item

Returns
  A handle to the item added or `NULL`, on errors

Despite the most common usage of the `letter` argument is for single char strings, one could use arbitrary strings as index entries.

`item` will be the pointer returned back on `"changed"`, `"delay,changed"` and `"selected"` smart events.

References elm_obj_index_item_append.

void elm_index_item_clear | ( | Evas_Object * | obj | ) |

Removes all items from a given index widget.

Parameters

  obj | The index object.

If deletion callbacks are set, via elm_object_item_del_cb_set(), that callback function will be called for each item in `obj`.

References elm_obj_index_item_clear.

Elm_Object_Item* elm_index_item_find | ( | Evas_Object * | obj,
|  | const void * | data
| ) |  |

Find a given index widget's item, using item data.

Parameters

  obj | The index object
  data | The item data pointed to by the desired index item

Returns
  The index item handle, if found, or `NULL` otherwise

References elm_obj_index_item_find.

Elm_Object_Item* elm_index_item_insert_after | ( | Evas_Object * | obj,
|  | Elm_Object_Item * | after,
|  | const char * | letter,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Insert a new item into the index object after item `after`.

Parameters

  obj | The index object.
  after | The index item to insert after.
  letter | Letter under which the item should be indexed
  func | The function to call when the item is clicked.
  data | The item data to set for the index's item

Returns
  A handle to the item added or `NULL`, on errors

Despite the most common usage of the `letter` argument is for single char strings, one could use arbitrary strings as index entries.

`item` will be the pointer returned back on `"changed"`, `"delay,changed"` and `"selected"` smart events.

Note
  If `relative` is `NULL` this function will behave as elm_index_item_append().

References elm_obj_index_item_insert_after.

Elm_Object_Item* elm_index_item_insert_before | ( | Evas_Object * | obj,
|  | Elm_Object_Item * | before,
|  | const char * | letter,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Insert a new item into the index object before item `before`.

Parameters

  obj | The index object.
  before | The index item to insert after.
  letter | Letter under which the item should be indexed
  func | The function to call when the item is clicked.
  data | The item data to set for the index's item

Returns
  A handle to the item added or `NULL`, on errors

Despite the most common usage of the `letter` argument is for single char strings, one could use arbitrary strings as index entries.

`item` will be the pointer returned back on `"changed"`, `"delay,changed"` and `"selected"` smart events.

Note
  If `relative` is `NULL` this function will behave as elm_index_item_prepend().

References elm_obj_index_item_insert_before.

const char* elm_index_item_letter_get | ( | const Elm_Object_Item * | item | ) |

Get the letter (string) set on a given index widget item.

Parameters

  item | The index item handle

Returns
  The letter string set on `it`

int elm_index_item_level_get | ( | const Evas_Object * | obj | ) |

Get the items level set for a given index widget.

Parameters

  obj | The index object.

Returns
  `0` or `1`, which are the levels `obj` might be at.

See Also
  elm_index_item_level_set() for more information

References elm_obj_index_item_level_get.

void elm_index_item_level_set | ( | Evas_Object * | obj,
|  | int | level
| ) |  |

Set the items level for a given index widget.

Parameters

  obj | The index object.
  level | `0` or `1`, the currently implemented levels.

See Also
  elm_index_item_level_get()

References elm_obj_index_item_level_set.

Elm_Object_Item* elm_index_item_prepend | ( | Evas_Object * | obj,
|  | const char * | letter,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Prepend a new item on a given index widget.

Parameters

  obj | The index object.
  letter | Letter under which the item should be indexed
  func | The function to call when the item is selected.
  data | The item data to set for the index's item

Returns
  A handle to the item added or `NULL`, on errors

Despite the most common usage of the `letter` argument is for single char strings, one could use arbitrary strings as index entries.

`item` will be the pointer returned back on `"changed"`, `"delay,changed"` and `"selected"` smart events.

References elm_obj_index_item_prepend.

void elm_index_item_selected_set | ( | Elm_Object_Item * | it,
|  | Eina_Bool | selected
| ) |  |

Set the selected state of an item.

Parameters

  it | The index item
  selected | The selected state

This sets the selected state of the given item `it`. `EINA_TRUE` for selected, `EINA_FALSE` for not selected.

If a new item is selected the previously selected will be unselected. Previously selected item can be get with function elm_index_selected_item_get().

Selected items will be highlighted.

See Also
  elm_index_selected_item_get()

References elm_index_selected_item_get().

Elm_Object_Item* elm_index_item_sorted_insert | ( | Evas_Object * | obj,
|  | const char * | letter,
|  | Evas_Smart_Cb | func,
|  | const void * | data,
|  | Eina_Compare_Cb | cmp_func,
|  | Eina_Compare_Cb | cmp_data_func
| ) |  |

Insert a new item into the given index widget, using `cmp_func` function to sort items (by item handles).

Parameters

  obj | The index object.
  letter | Letter under which the item should be indexed
  func | The function to call when the item is clicked.
  data | The item data to set for the index's item
  cmp_func | The comparing function to be used to sort index items by index item handles
  cmp_data_func | A fallback function to be called for the sorting of index items by item data). It will be used when `cmp_func` returns `0` (equality), which means an index item with provided item data already exists. To decide which data item should be pointed to by the index item in question, `cmp_data_func` will be used. If `cmp_data_func` returns a non-negative value, the previous index item data will be replaced by the given `item` pointer. If the previous data need to be freed, it should be done by the `cmp_data_func` function, because all references to it will be lost. If this function is not provided (`NULL` is given), index items will be duplicated, if `cmp_func` returns `0`.

Returns
  A handle to the item added or `NULL`, on errors

Despite the most common usage of the `letter` argument is for single char strings, one could use arbitrary strings as index entries.

`item` will be the pointer returned back on `"changed"`, `"delay,changed"` and `"selected"` smart events.

References elm_obj_index_item_sorted_insert.

void elm_index_level_go | ( | Evas_Object * | obj,
|  | int | level
| ) |  |

Flush the changes made to the index items so they work correctly.

This flushes any changes made to items indicating the object is ready to go. You should call this before any changes you expect to work. This is similar to elm_list_go().

Parameters

  obj | The index object
  level | The index level (one of `0` or `1`) where changes were made

Warning
  If not called, it won't display the index properly.

References elm_obj_index_level_go.

Eina_Bool elm_index_omit_enabled_get | ( | const Evas_Object * | obj | ) |

Get whether omit feature is enabled or not for a given index widget.

Parameters

  obj | The index object

Returns
  `EINA_TRUE`, if omit feature is enabled, `EINA_FALSE` otherwise

See Also
  elm_index_omit_enabled_set()

Since
  1.8

References elm_obj_index_omit_enabled_get.

void elm_index_omit_enabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | enabled
| ) |  |

Enable or disable omit feature for a given index widget.

Parameters

  obj | The index object
  enabled | `EINA_TRUE` to enable omit feature, `EINA_FALSE` to disable

See Also
  elm_index_omit_enabled_get()

Since
  1.8

References elm_obj_index_omit_enabled_set.

Elm_Object_Item* elm_index_selected_item_get | ( | const Evas_Object * | obj,
|  | int | level
| ) |  |

Returns the last selected item, for a given index widget.

Parameters

  obj | The index object.
  level | `0` or `1`, the currently implemented levels.

Returns
  The last item selected on `obj` (or `NULL`, on errors).

References elm_obj_index_selected_item_get.

Referenced by elm_index_item_selected_set().

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:13